
Foreman - Refactor #2838

Taxonomy controller needs some polishing

07/25/2013 04:12 PM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: API   

Target version: 1.3.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Taxonomy controller should:

- enable finding resources by name same as in other controllers

- return timestamps in show responses

- docs need more care

- mising apipie params for search & pagination

- resource name in locations controller is wrong ("loactions" should be "location")

Associated revisions

Revision 0bed6e7c - 07/30/2013 04:22 AM - Tomáš Strachota

fixes #2838 - taxonomies controller - fix in params and finder

History

#1 - 07/25/2013 04:13 PM - Tomáš Strachota

- Status changed from New to Assigned

- Assignee set to Tomáš Strachota

#2 - 07/25/2013 04:43 PM - Tomáš Strachota

- Status changed from Assigned to Feedback

https://github.com/theforeman/foreman/pull/817

#3 - 07/26/2013 03:17 AM - Dominic Cleal

- Status changed from Feedback to Ready For Testing

#4 - 07/30/2013 06:55 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0bed6e7c83c1bfb3f22fce13c00d0e469f3e65f4.
